import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class Help extends Help_visual implements ActionListener{

	public void init(){
		ajuda_arquivo.addActionListener(this);
		ajuda_entidades.addActionListener(this);
	}	
	@Override
	public void actionPerformed(ActionEvent e) {

		Object source = e.getSource();
		if(ajuda_arquivo.equals(source)){
			ajuda_txt.setEditable(true);
			ajuda_txt.setText("Para gerar o arquivo físico, seguir os seguintes passos:\n\n" +
					"1)Escolher uma das opções na tela inicial do programa;\n\n" +
					"2)Preencher com os argumentos necessários;\n\n" +
					"3)Clicar no botão adicionar;\n\n" +
					"4)Para adicionar mais entidades, repetir os passos 1,2,3;\n\n" +
					"5)Clicar em 'OK' ou 'Gerar Arquivo STEP', o arquivo é gerado;\n\n" +
					"6)Você pode salvar este arquivo em uma pasta no seu computador;\n\n");
			ajuda_txt.setEditable(false);			
		}
		if(ajuda_entidades.equals(source)){
			ajuda_txt.setEditable(true);
			ajuda_txt.setText("As entidades utilizadas no programa são as seguintes:\n\n" +
					"Cartesian Point - Recebe os coordenadas X,Y,Z como argumento\n\n" +
					"Direction - Recebe uma lista de três números reais\n\n" +
					"Vector - Recebe uma direção(Direction) e uma magnitude(número real)\n\n" +
					"Axis2_Placement_3d - Recebe um ponto cartesiano(Cartesian Point, duas direções(Directions) - uma direção de referência e um eixo principal)\n\n" +
					"Line - Recebe um ponto cartesiano(Cartesian Point) e um vetor(Vector)\n\n" +
					"Circle - recebe uma posição(Axis2_Placement_3d) e um raio(número real)\n\n");
			ajuda_txt.setEditable(false);
		}
		
	}
	public Help(){
		init();
	}

}
